import React from 'react';
import { AsyncStorage } from 'react-native';
import PopupAdvice from 'muba-popup-advice';
import OutputText from 'muba-output-text';
import { strings } from './locales/I18n.js';
import { popupErrorStyles } from './PopupErrorStyles';

export const ERROR_POPUP = 'errorPopup';

export default class PopupError extends React.Component {
  constructor(props) {
    super(props);
  }

  componentDidMount() {
    this.popupError.show();
    AsyncStorage.setItem(ERROR_POPUP, 'true');
  }

  async closePopup() {
    await AsyncStorage.setItem(ERROR_POPUP, 'false');
    this.props.navigation.goBack()
  }

  render() {
    return (
      <PopupAdvice ref={(popupError) => { this.popupError = popupError; }} icon="attention" title={this.props.title ? this.props.title : strings('genericError')}
        headerColor={popupErrorStyles.redText} textButton={this.props.buttonText ? this.props.buttonText : strings('adviceOK').toUpperCase()} onClose={() => this.closePopup()}>

        <OutputText style={[popupErrorStyles.popupText, popupErrorStyles.popupTextError]}>{this.props.text ? this.props.text : strings('adviceError')}</OutputText>
      </PopupAdvice>
    );
  }
}